pw_remote Class Reference

Represents a connection with a remote PipeWire instance. More...

## Public Member Functions

const char * | pw_remote_state_as_string (enum pw_remote_state state)
| Convert a pw_remote_state to a readable string. More...
struct pw_remote * | pw_remote_new (struct pw_core *core, struct pw_properties *properties, size_t user_data_size)
| Create a new unconnected remote. More...
void | pw_remote_destroy (struct pw_remote *remote)
| Destroy a remote. More...
int | pw_remote_connect (struct pw_remote *remote)
| Connect to a remote PipeWire. More...
int | pw_remote_connect_fd (struct pw_remote *remote, int fd)
| Connect to a remote PipeWire on the given socket. More...
int | pw_remote_disconnect (struct pw_remote *remote)
| Disconnect from the remote PipeWire. More...

## Detailed Description

Represents a connection with a remote PipeWire instance.

a pw_remote is created and used to connect to a remote PipeWire instance. A pw_proxy for the core object will automatically be created when connecting.

See also Core API

## Member Function Documentation

## pw_remote_connect()

int pw_remote_connect | ( | struct pw_remote * | remote | ) |

Connect to a remote PipeWire.

Returns
  0 on success, < 0 on error

## pw_remote_connect_fd()

int pw_remote_connect_fd | ( | struct pw_remote * | remote,
|  | int | fd
| ) |  |

Connect to a remote PipeWire on the given socket.

Parameters

  fd | the connected socket to use, the socket will be closed automatically on disconnect or error.

Returns
  0 on success, < 0 on error

## pw_remote_destroy()

void pw_remote_destroy | ( | struct pw_remote * | remote | ) |

Destroy a remote.

## pw_remote_disconnect()

int pw_remote_disconnect | ( | struct pw_remote * | remote | ) |

Disconnect from the remote PipeWire.

## pw_remote_new()

struct pw_remote * pw_remote_new | ( | struct pw_core * | core,
|  | struct pw_properties * | properties,
|  | size_t | user_data_size
| ) |  |

Create a new unconnected remote.

Returns
  a new unconnected remote

Parameters

  core | a pw_core
  properties | optional properties, ownership of the properties is taken.
  user_data_size | extra user data size

## pw_remote_state_as_string()

const char * pw_remote_state_as_string | ( | enum pw_remote_state | state | ) |

Convert a pw_remote_state to a readable string.

The documentation for this class was generated from the following file:

- remote.h